/*
 * Mesa 3-D graphics library
 * Version:  4.1
 * Copyright (C) 1995-1998  Brian Paul
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef GLX_MANGLE_H
#define GLX_MANGLE_H

#define glXChooseVisual mglXChooseVisual
#define glXCreateContext mglXCreateContext
#define glXDestroyContext mglXDestroyContext
#define glXMakeCurrent mglXMakeCurrent
#define glXCopyContext mglXCopyContext
#define glXSwapBuffers mglXSwapBuffers
#define glXCreateGLXPixmap mglXCreateGLXPixmap
#define glXDestroyGLXPixmap mglXDestroyGLXPixmap
#define glXQueryExtension mglXQueryExtension
#define glXQueryVersion mglXQueryVersion
#define glXIsDirect mglXIsDirect
#define glXGetConfig mglXGetConfig
#define glXGetCurrentContext mglXGetCurrentContext
#define glXGetCurrentDrawable mglXGetCurrentDrawable
#define glXWaitGL mglXWaitGL
#define glXWaitX mglXWaitX
#define glXUseXFont mglXUseXFont
#define glXQueryExtensionsString mglXQueryExtensionsString
#define glXQueryServerString mglXQueryServerString
#define glXGetClientString mglXGetClientString
#define glXCreateGLXPixmapMESA mglXCreateGLXPixmapMESA
#define glXReleaseBuffersMESA mglXReleaseBuffersMESA
#define glXCopySubBufferMESA mglXCopySubBufferMESA
#define glXGetVideoSyncSGI mglXGetVideoSyncSGI
#define glXWaitVideoSyncSGI mglXWaitVideoSyncSGI

/* GLX 1.4 */
#define glXGetProcAddress mglXGetProcAddress

/* ADDED by KSB@llnl for VisIt */

#define glXAllocateMemoryNV mglXAllocateMemoryNV
#define glXBindChannelToWindowSGIX mglXBindChannelToWindowSGIX
#define glXBindSwapBarrierSGIX mglXBindSwapBarrierSGIX
#define glXChannelRectSGIX mglXChannelRectSGIX
#define glXChannelRectSyncSGIX mglXChannelRectSyncSGIX
#define glXChooseFBConfig mglXChooseFBConfig
#define glXChooseFBConfigSGIX mglXChooseFBConfigSGIX
#define glXCreateContextWithConfigSGIX mglXCreateContextWithConfigSGIX
#define glXCreateGLXPbufferSGIX mglXCreateGLXPbufferSGIX
#define glXCreateGLXPixmapWithConfigSGIX mglXCreateGLXPixmapWithConfigSGIX
#define glXCreateNewContext mglXCreateNewContext
#define glXCreatePbuffer mglXCreatePbuffer
#define glXCreatePixmap mglXCreatePixmap
#define glXCreateWindow mglXCreateWindow
#define glXCushionSGI mglXCushionSGI
#define glXDestroyGLXPbufferSGIX mglXDestroyGLXPbufferSGIX
#define glXDestroyPbuffer mglXDestroyPbuffer
#define glXDestroyPixmap mglXDestroyPixmap
#define glXDestroyWindow mglXDestroyWindow
#define glXFreeContextEXT mglXFreeContextEXT
#define glXFreeMemoryNV mglXFreeMemoryNV
#define glXGetContextIDEXT mglXGetContextIDEXT
#define glXGetCurrentDisplay mglXGetCurrentDisplay
#define glXGetCurrentDisplayEXT mglXGetCurrentDisplayEXT
#define glXGetCurrentReadDrawable mglXGetCurrentReadDrawable
#define glXGetCurrentReadDrawableSGI mglXGetCurrentReadDrawableSGI
#define glXGetFBConfigAttrib mglXGetFBConfigAttrib
#define glXGetFBConfigAttribSGIX mglXGetFBConfigAttribSGIX
#define glXGetFBConfigFromVisualSGIX mglXGetFBConfigFromVisualSGIX
#define glXGetFBConfigs mglXGetFBConfigs
#define glXGetProcAddressARB mglXGetProcAddressARB
#define glXGetSelectedEvent mglXGetSelectedEvent
#define glXGetSelectedEventSGIX mglXGetSelectedEventSGIX
#define glXGetTransparentIndexSUN mglXGetTransparentIndexSUN
#define glXGetVisualFromFBConfig mglXGetVisualFromFBConfig
#define glXGetVisualFromFBConfigSGIX mglXGetVisualFromFBConfigSGIX
#define glXImportContextEXT mglXImportContextEXT
#define glXJoinSwapGroupSGIX mglXJoinSwapGroupSGIX
#define glXMakeContextCurrent mglXMakeContextCurrent
#define glXMakeCurrentReadSGI mglXMakeCurrentReadSGI
#define glXQueryChannelDeltasSGIX mglXQueryChannelDeltasSGIX
#define glXQueryChannelRectSGIX mglXQueryChannelRectSGIX
#define glXQueryContext mglXQueryContext
#define glXQueryContextInfoEXT mglXQueryContextInfoEXT
#define glXQueryDrawable mglXQueryDrawable
#define glXQueryGLXPbufferSGIX mglXQueryGLXPbufferSGIX
#define glXQueryMaxSwapBarriersSGIX mglXQueryMaxSwapBarriersSGIX
#define glXSelectEvent mglXSelectEvent
#define glXSelectEventSGIX mglXSelectEventSGIX
#define glXSet3DfxModeMESA mglXSet3DfxModeMESA
#define glXSwapIntervalSGI mglXSwapIntervalSGI


#endif
